Eclipse Platform Release 3.7

## org.eclipse.ui.part
Interface IShowInTarget

All Known Implementing Classes:
  CommonNavigator, ProjectExplorer, PropertySheet

    public interface IShowInTarget

This interface must be provided by Show In targets (views listed in the 'Show In' menu).

The view can either directly implement this interface, or provide it via `IAdaptable.getAdapter(IShowInTarget.class)`.

Since:
  2.1
See Also:
  `IPageLayout.addShowInPart(java.lang.String)`

Method Summary
`boolean` `show(ShowInContext context)` Shows the given context in this target.

Method Detail

### show

    boolean show(ShowInContext context)

  Shows the given context in this target. The target should check the context's selection for elements to show. If there are no relevant elements in the selection, then it should check the context's input.

  Parameters:
    `context` - the context to show
  Returns:
    `true` if the context could be shown, `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.